set.hh File Reference
`#include <gecode/set.hh>`
`#include "test/test.hh"`
`#include "test/int.hh"`
`#include "test/set.hpp"`

Go to the source code of this file.

## Classes

class | Test::Set::CountableSetValues
| Value iterator producing subsets of an IntSet. More...
class | Test::Set::CountableSetRanges
| Range iterator producing subsets of an IntSet. More...
class | Test::Set::CountableSet
| Iterate all subsets of a given set. More...
class | Test::Set::SetAssignment
| Generate all set assignments. More...
class | Test::Set::SetTestSpace
| Space for executing set tests. More...
class | Test::Set::SetTest
| Base class for tests with set constraints More...
class | Test::Set::SetRelTypes
| Iterator for set relation types. More...
class | Test::Set::SetOpTypes
| Iterator for Boolean operation types. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Set
| Testing finite sets.